Ask Your Question
0

Groovy Installation from Source on openSUSE

asked 2013-09-18 07:59:41 -0500

teddybouch gravatar image

There used to be instructions on how to install ROS Groovy by downloading and compiling the source, and I previously used them to install Groovy on my machine. In trying to debug a problem, my configuration got so muddled that I decided it would be easier to re-install. However, it seems that the openSUSE instructions are now gone and the custom instructions that I put together fail on this step:

abouchard@linux-z28r:~/catkin_ws> wstool init -j8 src <a href="http://packages.ros.org/web/rosinstall/generate/raw/groovy/desktop-full">http://packages.ros.org/web/rosinstall/generate/raw/groovy/desktop-full</a>
Using initial elements from: <a href="http://packages.ros.org/web/rosinstall/generate/raw/groovy/desktop-full">http://packages.ros.org/web/rosinstall/generate/raw/groovy/desktop-full</a>
ERROR in config: Unable to download URL [http://packages.ros.org/web/rosinstall/generate/raw/groovy/desktop-full]: HTTP Error 404: Not Found

It seems that the location of the package has changed, but I haven't been able to find the new location. I tried the new instructions under "Installing on Ubuntu from source," but that isn't working, either, as shown below:

abouchard@linux-z28r:~/catkin_ws> rosinstall_generator desktop-full --rosdistro groovy --deps --wet-only > groovy-desktop-full-wet.rosinstall
abouchard@linux-z28r:~/catkin_ws> wstool init -j8 src groovy-desktop-full-wet.rosinstall
Using initial elements from: groovy-desktop-full-wet.rosinstall
ERROR in config: Yaml for each element must be in YAML dict form

The first command provides no output indicating success or failure, so I'm assuming success. It does generate a .rosinstall file in the folder. The only other post that I could find with the YAML error I'm running into was specific to a very different build, and the poster was pointed to other files entirely.

Is there an updated location that I can pull down the source files that I was able to get before from packages.ros.org? Or do I need to do something to adapt the new instructions since I'm not on Ubuntu?

edit retag flag offensive close merge delete

Comments

Based on http://prerelease.ros.org/rosinstall/, I tried going to http://prerelease.ros.org/rosinstall/generate/raw/groovy/desktop-full and got a URLError. I tried to use wstool as above with that URL and got an HTTP Error 500. I don't know whether this helps or not...

teddybouch gravatar imageteddybouch ( 2013-09-19 05:48:22 -0500 )edit

Progress! It seems that rosinstall_generator was not properly installed - I removed it and re-installed using "sudo pip install rosinstall-generator". Now when I run the first command from the instructions, I get the following error: http://pastebin.com/Z7vHfBXz and it generates an empty .rosinstall

teddybouch gravatar imageteddybouch ( 2013-09-19 08:00:38 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2013-09-19 10:05:58 -0500

teddybouch gravatar image

It appears that the majority of my problems were caused by a need to update software. A word of caution: running the rosinstall_generator command from the instructions at http://wiki.ros.org/groovy/Installation/Source when rosinstall_generator is not installed will not give an error, and will generate a .rosinstall file, but it will be empty. Use

sudo pip install rosinstall_generator

to install the program. Also make sure that catkin is updated.

I still haven't found a way to get rosdep to work with openSUSE, which makes resolving dependencies a challenge.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2013-09-18 07:59:41 -0500

Seen: 518 times

Last updated: Sep 19 '13